Subject: bug#25704: closed (Re: bug#25704: guix on other distribution fails to pull)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Mar 2020 20:30:02 +0000

Your bug report

#25704: guix on other distribution fails to pull

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25704: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25704
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25704: guix on other distribution fails to pull
From: Leo Famulari <[email-masked]>
To: Tomas Cech <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Mar 2020 16:29:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Feb 21, 2017 at 12:11:51PM -0500, Leo Famulari wrote:
> Sure, and we know that `guix pull` needs to be overhauled. We've been
> discussing its shortcomings and designing the replacement:

This work has been completed. Closing the bug.

Subject: guix on other distribution fails to pull
From: Tomas Cech <[email-masked]>
To: [email-masked]
Date: Mon, 13 Feb 2017 14:11:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm having problems with running Guix on top of openSUSE. I installed
clean 0.12 release on clean system.

$ guix pull

Starting download of /tmp/guix-file.Z09Ce2
From http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
 ….tar.gz                                   3.0MiB/s 00:04 | 11.0MiB transferred
unpacking '/gnu/store/z13bqhi66zzxhzdql046khzm09r21xxq-guix-latest.tar.gz'...
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
fetching path `/gnu/store/k4jwdl2ca04552z9hd9c0721wxlahjyy-curl-7.47.0'...
Downloading https://mirror.hydra.gnu.org/nar/k4jwdl2ca04552z9hd9c0721wxlahjyy-curl-7.47.0 (1.8MiB installed)...
 curl-7.47.0                                 444KiB/s 00:01 | 632KiB transferred

fetching path `/gnu/store/2mz84alls2i314x4506wdw15zwmz82n8-python-2.7.10'...
Downloading https://mirror.hydra.gnu.org/nar/2mz84alls2i314x4506wdw15zwmz82n8-python-2.7.10 (77.2MiB installed)...
 python-2.7.10                              4.0MiB/s 00:04 | 15.3MiB transferred

hash mismatch in downloaded path `/gnu/store/2mz84alls2i314x4506wdw15zwmz82n8-python-2.7.10': expected 4f6ac594d87839f78be751763fda022f57910f77011616c95f22a53655b0942d, got 222a0f7d89133c011acd36536141c87239a71b43c36a5dd1d939460058a15f98
building path(s) `/gnu/store/cwc9qg98wavxy69jvj42srdl14594b11-apr-util-1.5.4'
guix pull: error: build failed: some substitutes for the outputs of derivation `/gnu/store/acgss8990yn864yxf857ba9fyjsyfsa7-python-2.7.10.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source

This shows 2 problems:

- pull doesn't support `--fallback'
- hydra build of apr-util is probably corrupted

When I try to help manually, it sometimes helps...

 $ guix build apr-util --fallback
The following derivation will be built:
   /gnu/store/3fz5akwl2s3f7n1lp04avdcwcnnwfnyc-apr-util-1.5.4.drv
@ build-started /gnu/store/3fz5akwl2s3f7n1lp04avdcwcnnwfnyc-apr-util-1.5.4.drv - x86_64-linux /var/log/guix/drvs/3f//z5akwl2s3f7n1lp04avdcwcnnwfnyc-apr-util-1.5.4.drv.bz2
grafting '/gnu/store/symq7x013biwxc697271vvm0nxpb4d13-apr-util-1.5.4' -> '/gnu/store/cwc9qg98wavxy69jvj42srdl14594b11-apr-util-1.5.4'...
@ build-succeeded /gnu/store/3fz5akwl2s3f7n1lp04avdcwcnnwfnyc-apr-util-1.5.4.drv -
/gnu/store/cwc9qg98wavxy69jvj42srdl14594b11-apr-util-1.5.4

$ guix pull

Starting download of /tmp/guix-file.VxLjfT
From http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
 ….tar.gz                                   3.1MiB/s 00:04 | 11.0MiB transferred
unpacking '/gnu/store/z13bqhi66zzxhzdql046khzm09r21xxq-guix-latest.tar.gz'...
fetching path `/gnu/store/2mz84alls2i314x4506wdw15zwmz82n8-python-2.7.10'...
Downloading https://mirror.hydra.gnu.org/nar/2mz84alls2i314x4506wdw15zwmz82n8-python-2.7.10 (77.2MiB installed)...
 python-2.7.10                              4.2MiB/s 00:04 | 15.3MiB transferred

hash mismatch in downloaded path `/gnu/store/2mz84alls2i314x4506wdw15zwmz82n8-python-2.7.10': expected 4f6ac594d87839f78be751763fda022f57910f77011616c95f22a53655b0942d, got 222a0f7d89133c011acd36536141c87239a71b43c36a5dd1d939460058a15f98
building path(s) `/gnu/store/nw1lim6cr83rfbyih6pz41rnc0f1l2cs-file-5.25'
guix pull: error: build failed: some substitutes for the outputs of derivation `/gnu/store/acgss8990yn864yxf857ba9fyjsyfsa7-python-2.7.10.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source

...and sometimes it gives me different hash...

$ guix build [email-masked] --fallback
/gnu/store/7fm1qk703x47qzb9p6xg08cxgb009akz-python-2.7.10
/gnu/store/813i9qr3l6w5ada97l1m1cna08fzrra9-python-2.7.10-tk

...and pull will never work.

Is there anything I could do to workaround the problem?